
<?php
  //выбираем страницу
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);
session_start();
include_once("../../functions.php");
include_once("../../game_functions.php");


function db_use($action, $query) {

require("../../config.php");
        mysql_connect($dburl . ':' . $dbport, $dbuser, $dbpassword)
         or die('Не получается подключиться. Проверьте имя сервера, имя пользователя и пароль!');
        mysql_select_db($dbname) or die('Ошибка входа в базу данных');
		mysql_query("SET NAMES cp1251;");   
        switch ($action) {

                case 'object':

                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return mysql_fetch_object($result);

                        break;

                case 'array':

                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return mysql_fetch_array($result);

                        break;

                case 'query':
                        $result = mysql_query($query) or die('<small><b>SQL Ошибка запроса:</b><br><font color=red>'.$query.'</font></small><br>');
                        return $result;

                        break;

                case 'rows':

                        $result = mysql_query($query) or die('Ошипка запроса!'.$query);
                        return mysql_num_rows($result);

                        break;

        }

        mysql_close();

}


include_once("../../session_class.php");
$session = new Sessions;
if (!$session->is_session(session_id())) { die('Сначала зайдите в игру <a href=/chat.htm>enter</a>') ; }
if ($session->id_person!=12) {echo "fuck off";die;}


  if(!empty($_POST['page']))
    $Page = trim($_POST['page']);
  else
    $Page = $_GET['page'];
  //print $Page;
  if($Page == '')
    $Page = 'currentpoll';
  include('../pollconfig.inc');
  include("lng/{$Lng}_lng.inc");
  include('../functions.inc');

  if($ShowTips == 'yes')
    include("tips/rus_tips.inc");
  //пути к файлам
  $File_DeletedPolls = "../txt/backup.txt";
  $File_Tmp = '../txt/tmp.txt';
  $Graph_Access = "../graphconf/graph_access.inc";
  $UsersDatabase = '../txt/_users_database';
  //язык
  //http заголовки - подавление кэша
 // header("Expires: Mon, 23 May 1995 02:00:00 GMT");
//  header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
//  header("Cache-Control: no-cache, must-revalidate");
 // header("Pragma: no-cache");
?>

<html>
<head>
  <title><? echo $Heading_Tabella ?></title>
  <link rel='stylesheet' href='admin.css'>

</head>
<body bgcolor=#D6E1E3>
<table width=100% cellspacing=0 cellpadding=0 border=0>
  <tr>
    <td colspan=6><h3><? echo $Heading_Tabella ?></h3></td>
  </tr>
  <tr>
    <td align=center><a href='index.php?page=newpoll'><? echo $Menu_NewPoll ?></a></td>
    <td align=center><a href='index.php?page=currentpoll'><? echo $Menu_CurrentPoll ?></a></td>
    <td align=center><a href='index.php?page=pollarchive'><? echo $Menu_PollArchive ?></a></td>
    <td align=center><a href='index.php?page=settings'><? echo $Menu_Settings ?></a></td>
    <td align=center><a href='index.php?page=pollusersdata'><? echo $Menu_Pollusers ?></a></td>
    <td align=center><a href='index.php?page=graphic'><? echo $Menu_Graphics ?></a></td>
    <td align=center><a href='../../polls.php'><? echo $Menu_MainPage ?></a></td>
  </tr>
</table>
<?

  if($Page == 'ch_password')
    include('changepassword.inc');

  //режим один пароль для каждого -> список email
  if($Page == 'changepassword_emailset')
    include('changepassword_emailset.inc');

  //режим один пароль для каждого -> список email -> редактировать элемент
  if($Page == 'changepassword_emailset_edititem')
    include('changepassword_emailset_edititem.inc');

  //режим один пароль для каждого -> список email -> удалить адреса (по одному или все сразу)
  if($Page == 'changepassword_emailset_deleteitem')
    include('changepassword_emailset_deleteitem.inc');

  //режим один пароль для каждого -> список email -> настроить текст письма
  if($Page == 'changepassword_emailset_letter')
    include('changepassword_emailset_letter.inc');

  //режим один пароль для каждого -> список email -> рассылка писем
  if($Page == 'changepassword_emailset_send')
    include('changepassword_emailset_send.inc');

  //режим один пароль для каждого -> список email -> сортировать список
  if($Page == 'changepassword_emailset_sort')
    include('changepassword_emailset_sort.inc');

  //сменить пароли (архив)
  if($Page == 'ch_passwordsinarchive')
  {
    $Place = 'inarchive';
    $Prefix = 'arch';
    $PageTmp = 'pollarchive';
    include('logins.inc');
  }

  //сменить пароли (текущее голосование)
  if(strpos($Page, 'ch_passwords') !== false)
  {
    $Place = 'incurrent';
    $Prefix = 'cp';
    $PageTmp = 'currentpoll';
    include('logins.inc');
  }

  //тип голосования
  if($Page == "changepolltypeinarchive")
  {
    $PageTmp = 'pollarchive';
    include('changepolltype.inc');
  }

  //тип голосования
  if($Page == "changepolltypeincurrent")
  {
    $PageTmp = 'currentpoll';
    include('changepolltype.inc');
  }

  //модуль changeprotectmode.inc если $Place == 'Archive';
  //меняет систему защиты от накрутки для текущих голосований
  if($Page == 'changeprotectmodeinarchive')
  {
    $Prefix = 'arch';
    $PageTmp = 'pollarchive';
    include('changeprotectmode.inc');
  }

  //модуль changeprotectmode.inc если $Place == 'Archive';
  //меняет систему защиты от накрутки для текущих голосований
  if($Page == 'changeprotectmodeincurrent')
  {
    $Prefix = 'cp';
    $PageTmp = 'currentpoll';
    include('changeprotectmode.inc');
  }

  //рейтинговое голосование интерфейс настройки
  if($Page == "checkboxsetinarchive")
  {
    $PageTmp = 'pollarchive';
    include('checkboxset.inc');
  }

  //рейтинговое голосование интерфейс настройки
  if($Page == "checkboxsetincurrent")
  {
    $PageTmp = 'currentpoll';
    include('checkboxset.inc');
  }

  // отображаем текущие опросы
  if($Page == 'currentpoll')
  {
    $Prefix = 'cp';
    include('polls.inc');
  }
  //удаляет голосование
  if($Page == 'deleteitem')
    include('deleteitem.inc');
  //переместить голосование вниз (архив)
  if($Page == 'downpollinarchive')
  {
     $PageTmp = 'pollarchive';
     $Prefix = 'arch';
     include('downpoll.inc');
  }
  //переместить голосование вверх (текущие голосование)
  if($Page == 'downpollincurrent')
  {
     $Prefix = 'cp';
     $PageTmp = 'currentpoll';
     include('downpoll.inc');
  }
  //редактировать голосование в архиве
  if($Page == 'editpollinarchive')
  {
     $Prefix = 'cp';
     $PageTmp = 'pollarchive';
     include('editpoll.inc');
  }
  //редактировать (текущее) голосование
  if($Page == 'editpollincurrent')
  {
     $Prefix = 'archive';
     $PageTmp = 'currentpoll';
     include('editpoll.inc');
  }

  //генерировать изображения для представления гистограмм / настройка диаграмм
  if($Page == 'graphic')
    include('graphic.inc');

  //графика - меняем доступные формы отображения результатов голосования
  if($Page == 'graphic_access')
    include('graphic_access.inc');

  if(strpos($Page, 'graphic_jpgraph') !== false)
    include('graphic_jpgraph.inc');

  //скрываем/отображаем голосования в категории архив голосований
  if(($Page == 'hideiteminarchive') || ($Page == 'showiteminarchive'))
  {
    $Prefix = 'arch';
    $PageTmp = 'pollarchive';
    include('showhide.inc');
  }

  //скрываем/отображаем голосования в категории текущие голосования
  if(($Page == 'hideitemincurrent') || ($Page == 'showitemincurrent'))
  {
    $Prefix = 'cp';
    $PageTmp = 'currentpoll';
    include('showhide.inc');
  }

  //добавляем новое голосование - первая страница
  if($Page == 'newpoll')
    include('newpoll.inc');
  /*//добавляем новое голосование - вторая страница
  if($Page == 'newpollext')
    include('newpollext.inc');*/
  //отображаем архив
  if($Page == 'pollarchive')
  {
    $Prefix = 'arch';
    include('polls.inc');
  }
  //база участников
  if($Page == 'pollusersdata')
    include('pollusersdata.inc');

  //база участников - добавляем нового пользователя
  if($Page == 'pollusersdata_addnewuser')
    include('pollusersdata_addnewuser.inc');

  //база участников - удаляем участников
  if($Page == 'pollusersdata_delete_item')
    include('pollusersdata_delete_item.inc');

  //база участников - редактируем данные
  if($Page == 'pollusersdata_edit_item')
    include('pollusersdata_edit_item.inc');

  //база участников - добавляем участников из файла
  if($Page == 'pollusersdata_loadusersfromfile')
    include('pollusersdata_loadusersfromfile.inc');

  //база участников - сортируем участников
  if($Page == 'pollusersdata_sort')
    include('pollusersdata_sort.inc');

  //настройки
  if($Page == 'settings')
    include('settings.inc');

  //возвращаем элемент из архива в категорию текущие голосования
  if($Page == 'toarchive')
  {
    $Prefix = 'cp';
    $PageTmp = 'currentpoll';
    include('replacepoll.inc');
  }

  //отправляем элемент из категории текущие голосования в архив
  if($Page == 'tocurrent')
  {
    $Prefix = 'arch';
    $PageTmp = 'pollarchive';
    include('replacepoll.inc');
  }

  //переместить голосование вниз (архив)
  if($Page == 'uppollinarchive')
  {
     $Prefix = 'arch';
     $PageTmp = 'pollarchive';
     include('uppoll.inc');
  }
  //переместить голосование вверх (текущие голосование)
  if($Page == 'uppollincurrent')
  {
     $Prefix = 'cp';
     $PageTmp = 'currentpoll';
     include('uppoll.inc');
  }
?>
</body>
</html>